Remove a branch from indexing
curl --request DELETE \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/{repository_path}/indexing/branches/{branch_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branches": [
"<string>"
],
"indexing_enabled": true,
"repository_path": "<string>",
"indexing_status": {
"indexing_enabled": true,
"latest_completed_search_index_job": {
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
},
"latest_completed_wiki_index_job": {
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
},
"latest_indexes": [
{
"branch_name": "<string>",
"commit": "<string>",
"created_at": 123,
"job_id": "<string>"
}
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Repositories (Organization)
Remove a branch from indexing
DELETE
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
{repository_path}
/
indexing
/
branches
/
{branch_name}
Remove a branch from indexing
Permissions
Requires a service user with theIndexOrgRepositories permission at the organization level.
Behavior
Removes a specific branch from indexing for the specified repository. If no branches remain after removal, indexing is automatically disabled for the repository. Returns 404 if the branch is not configured for indexing.Authorizations
Service User credential (prefix: cog_)
Path Parameters
Organization ID (prefix: org-)
Example:
"org-abc123def456"
⌘I

